Bug 19062 - remove reference to draft-hoehrmann-javascript-scheme ([JSURL])
Summary: remove reference to draft-hoehrmann-javascript-scheme ([JSURL])
Status: RESOLVED FIXED
Alias: None
Product: HTML WG
Classification: Unclassified
Component: HTML5 spec (show other bugs)
Version: unspecified
Hardware: PC All
: P2 normal
Target Milestone: ---
Assignee: This bug has no owner yet - up for the taking
QA Contact: HTML WG Bugzilla archive list
URL: http://www.w3.org/mid/4DFC5AC4.703010...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-25 22:02 UTC by contributor
Modified: 2013-11-22 22:13 UTC (History)
9 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description contributor 2012-09-25 22:02:41 UTC
This was was cloned from bug 13720 as part of operation LATER convergence.
Originally filed: 2011-08-10 02:56:00 +0000
Original reporter: Michael[tm] Smith <mike@w3.org>

================================================================================
 #0   Michael[tm] Smith                               2011-08-10 02:56:04 +0000 
--------------------------------------------------------------------------------
> Probably the same is with 'javascript' URIs (Section 6.1.5).  It 
> references [JSURL], the draft-hoehrmann-javascript-scheme, which is 
> now expired.  It includes-by-reference the source code retrieval 
> operation for these URIs 
> (http://tools.ietf.org/html/draft-hoehrmann-javascript-scheme-03#section-3.1).  
> I propose not to include it by reference but rather describe in the 
> specification itself.  The algorithm contains only 4 steps so it 
> shouldn't be a problem.

[split out from bug 12986]
================================================================================
 #1   Anne                                            2011-08-14 09:44:24 +0000 
--------------------------------------------------------------------------------
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are satisfied with this response, please change the state of this bug to CLOSED. If you have additional information and would like the editor to reconsider, please reopen this bug. If you would like to escalate the issue to the full HTML Working Group, please add the TrackerRequest keyword to this bug, and suggest title and text for the tracker issue; or you may create a tracker issue yourself, if you are able to do so. For more details, see this document: <http://dev.w3.org/html5/decision-policy/decision-policy.html>.

Status: Rejected
Change Description: no spec change
Rationale: Do you mean the HTML specification ought to define the javascript URL scheme fully?
================================================================================
 #2   Mykyta Yevstifeyev                              2011-08-14 10:09:34 +0000 
--------------------------------------------------------------------------------
(In reply to comment #1)
> EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are
> satisfied with this response, please change the state of this bug to CLOSED. If
> you have additional information and would like the editor to reconsider, please
> reopen this bug. If you would like to escalate the issue to the full HTML
> Working Group, please add the TrackerRequest keyword to this bug, and suggest
> title and text for the tracker issue; or you may create a tracker issue
> yourself, if you are able to do so. For more details, see this document:
> <http://dev.w3.org/html5/decision-policy/decision-policy.html>.
> 
> Status: Rejected
> Change Description: no spec change
> Rationale: Do you mean the HTML specification ought to define the javascript
> URL scheme fully?

Marked as REOPENED now. I need some time to contact Bjoern Hoehrmann, the author of this draft, to ask whether he's going to continue work on it; then I'll be able to answer. Please keep this bug open until there is any response from him.
================================================================================
 #3   Ian 'Hixie' Hickson                             2011-08-15 03:51:37 +0000 
--------------------------------------------------------------------------------
Please re-assign the bug to me when there is something actionable for me. :-)
================================================================================
 #4   Mykyta Yevstifeyev                              2011-08-15 10:22:33 +0000 
--------------------------------------------------------------------------------
I did finally receive the response from Bjoern. He claims he'll continue work on the draft; and I personally think this work will be performed by the time HTML5 will have reached W3C Recommendation level.

I'll close the ticket as "LATER".
================================================================================
Comment 1 Travis Leithead [MSFT] 2013-11-22 22:13:36 UTC
Now fixed, not LATER.

https://github.com/w3c/html/commit/af55b9de04442f4534bd20cd1c55aa8b41b20292